### Function

# RB value_free

#### Declaration [src]

    void
    rb_value_free (
      GValue* val
    )

#### Description [src]

Unsets and frees `val`. `val` must have been allocated using `g_slice_new` or `g_slice_new0`.

This function is not directly available to language bindings.

#### Parameters

`val`

  Type: `GValue`

  A `GValue`.

  The called function takes ownership of the data, and is responsible for freeing it.